# Source: https://github.com/argoproj/argo-cd/blob/master/docs/operator-manual/project.yaml
apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  name: default
  namespace: argocd
  # Finalizer that ensures that project is not deleted until it is not referenced by any application
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  # Project description
  description: Default applications project

  # Allow manifests to deploy from any Git repos
  sourceRepos:
  - 'https://gitlab.com/devops-johnfli/assignments/swissborg'

  # Permit applications to deploy to the all namespace in the same cluster
  destinations:
  - namespace: "*"
    server: https://kubernetes.default.svc

  # Allow cluster-scoped resources to be created
  clusterResourceWhitelist:
  - group: "*"
    kind: "*"

  # Allow all namespaced-scoped resources to be created
  namespaceResourceWhitelist:
  - group: "*"
    kind: "*"

  # Enable namespace orphaned resource monitoring
  orphanedResources:
    warn: false

  # Do not define any additional role for the project
  roles: []
